
Figure - Bug #114233
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110892 (New): AF-V1.0功能测试-WIFI

【AF】【EVT2】【WIFI】连接wifi后进入屏保模式4~5分钟后，wifi开关被自动关闭
2022-12-01 11:24 - CD Test赵飞

Status: CLOSED Start date: 2022-12-01

Priority: High Due date: 2022-12-05

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0052.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 之前的需求是开机自动开启wifi之后，默认10分钟就会关闭。现在把自动关闭去掉了，会一直保持开启。����

Description

【前提条件】

1、设备刷机后首次启动

【测试步骤】

1、打开设置 - WiFi

2、连接一个wifi

3、进入控制中心，点击“屏保模式”

4、待机4~5分钟

【预期结果】

4、wifi正常连接，wifi开关没有被关闭

【实际结果】

4、wifi开关被自动关闭

【复现率】

首次开机后必现

【日志】

logcat见附件

History

#1 - 2022-12-01 15:58 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to CD TPM-王祥林

分析:

WifiDebugReceiver 关闭的WiFi.

请AF同事分析WifiDebugReceiver主动关闭的WiFi原因.

------------------------------------------

12-01 04:03:47.534 W/DeviceIdleController( 1525): motion timeout went off and device isn't stationary

12-01 04:03:47.538 D/CompatibilityInfo( 1525): mCompatibilityFlags - 4

12-01 04:03:47.538 D/CompatibilityInfo( 1525): applicationDensity - 240

12-01 04:03:47.538 D/CompatibilityInfo( 1525): applicationScale - 1.0
12-01 04:03:47.541 D/WifiDebugReceiver( 2781): WifiDebugReceiver

12-01 04:03:47.545 D/WifiDebugReceiver( 2781): target wifi is not connected,close wifi

12-01 04:03:47.546 I/WifiService( 1525): setWifiEnabled package=com.thundercomm.tcservice uid=1000 enable=false

#2 - 2022-12-01 16:10 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW-鲁凯峰

凯峰

看看是不是需要加个判断，如果有其他wifi处于连接状态就不自动关闭。

#3 - 2022-12-01 16:14 - CD TPM-王祥林

- Category changed from LC to CD-FW

#4 - 2022-12-12 18:14 - CD FW 曹覃刚

- Priority changed from High to Low

这块式样已经变了，需要等客户的正式输入后，再处理

#5 - 2022-12-16 16:20 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖UI/UE

- Assignee changed from CD FW-鲁凯峰 to 方案组-RD3_CDTS 王浩云

Hi 浩云

目前wifi的式样尚未明确

等客户正式输入后，请告知

感谢

#6 - 2022-12-16 17:00 - 方案组-RD3_CDTS 王浩云

- Assignee changed from 方案组-RD3_CDTS 王浩云 to CD FW 曹覃刚

如果没有主动关闭WiFi，不管是进入屏保还是熄屏，WiFi的开关都不会关闭

#7 - 2022-12-16 17:06 - 方案组-RD3_CDTS 王浩云

- Category changed from 依赖UI/UE to CD-FW

#8 - 2022-12-26 11:30 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

- Target version changed from VX1_MCE_FSE_V5.0_20221230 to VC1_FSE_C sample_20230121

- Resolution changed from -- to WONTFIX

赵飞
https://share.thundersoft.com/redmine/issues/114797

和浩云确认了，根据上面的最新需求，副屏只能通过以太网连接主屏，整个wifi功能都不需要了。

后面wifi开关也会被默认关闭且不可打开。因此这个bug不需要处理，请关闭此问题。

#9 - 2022-12-26 14:56 - CD TPM-王祥林

- Target version changed from VC1_FSE_C sample_20230121 to VX1_MCE_FSE_V5.0_20221230

#10 - 2022-12-27 15:42 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 80

需求变更，wifi功能会移除，关闭此问题

#11 - 2022-12-27 15:42 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#12 - 2023-01-10 13:24 - CDTS_TEST 王成

- Status changed from CLOSED to New

- Assignee changed from CD Test赵飞 to CD TPM-王祥林

- Priority changed from Low to High

- Target version deleted (VX1_MCE_FSE_V5.0_20221230)

- Resolution deleted (WONTFIX)

考虑到后排屏会用到WIFI，且涉及到当前验收测试，该功能需要解决

#13 - 2023-01-10 13:25 - CDTS_TEST 王成

- Target version set to VX1_MCE_FSE_C sample_20230113

#14 - 2023-01-10 19:56 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175640 general/platform/vendor/thundercom

m/apps/TCService

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangxl0510@thundersoft.com

AF:WIFIADB: Do not disable wifi even if there is no ssid connected.TC-RID: 1201-0201002IssueID: TS-R-BUG-114233Change-Id:

I5cd5cc2ffa1f47fc1e889d0c5025f4b06d5965cc

#15 - 2023-01-10 20:01 - CD TPM-王祥林

- Status changed from New to RESOLVED

- Assignee changed from CD TPM-王祥林 to CDTS_TEST 王成

- Root cause set to 之前的需求是开机自动开启wifi之后，默认10分钟就会关闭。现在把自动关闭去掉了，会一直保持开启。

#16 - 2023-01-13 13:54 - CDTS_TEST 王成
- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

麻烦做个验证

#17 - 2023-01-13 17:04 - 移动测试一组_CDTS 刘强

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：验证通过，连接wifi后，等待10分钟，未自动关闭

#18 - 2023-01-13 17:04 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#19 - 2023-01-13 17:04 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#20 - 2023-01-19 09:55 - CD TPM-王祥林

- Resolution set to FIXED

Files

logcat.txt 5.9 MB 2022-12-01 CD Test赵飞

2025-07-04 4/4


